OSDN Git Service

Fixed how SwiftShader is compiled on different platforms
authorAlexis Hetu <sugoi@google.com>
Wed, 21 Sep 2016 14:16:42 +0000 (10:16 -0400)
committerAlexis Hétu <sugoi@google.com>
Wed, 21 Sep 2016 14:49:35 +0000 (14:49 +0000)
commit2d04d666e2ef47164bf1109dcf3680aa2fdfaaa4
tree9ab2b17cf0b1b67697c3ad7cc7bdaebbb8d91201
parent143dfc7e600b9cba5c60529946e4481dfbab8793
Fixed how SwiftShader is compiled on different platforms

Since the swiftshader libraries are loaded at runtime
by chromium, the correct way to add swiftshader as a
dependency is to use 'loadable_module' for mac and
'data_deps' for other platforms.

BUG=31645700

Change-Id: Ic393a4132fbfc44e71247fc0294cca2cb57d35c8
Reviewed-on: https://swiftshader-review.googlesource.com/7217
Tested-by: Alexis Hétu <sugoi@google.com>
Reviewed-by: Nicolas Capens <capn@google.com>
BUILD.gn